@echo off
if %1==a: goto unpack
if %1==A: goto unpack
if %1==b: goto unpack
if %1--B: goto unpack
echo You must run this batch file from the subdirectory
echo you wish to install Graphic Workshop into. Type 
echo A:UNPACK A:
echo or
echo B:UNPACK B:
goto end
:unpack
echo This is an installation batch file for Graphic Workshop
echo for Windows. It can be used on systems where there is
echo very little memory, such that SETUP will not function.
echo ------------------------------------------------------
pause
expand %1gws.ex_ gws.exe
expand %1gws.wr_ gws.wri
expand %1gws.hl_ gws.hlp
expand %1example1.im_ example1.img
expand %1example1.th_ example1.thn
expand %1example2.th_ example2.thn
expand %1example3.th_ example3.thn
expand %1order.fr_ order.frm
expand %1order.wr_ order.wri
expand %1pcdlib.dl_ pcdlib.dll
copy %1example2.gif example2.gif
copy %1example3.gif example3.gif
if exist %1camera.ex_ expand %1camera.ex_ camera.exe
if exist %1camera.wr_ expand %1camera.wr_ camera.wri
if exist %1pconfig.ex_ expand %1pconfig.ex_ pconfig.exe
if exist %1pconfig.wr_ expand %1pconfig.wr_ pconfig.wri
echo All done
echo You must now return to Windows and create a Program
echo Manager group to contain the files in your Graphic
echo Workshop directory.
:end
